EDIT - bug #8064

NPE in AbstractHibernateTaxonGraphProcessor.assureSingleTaxon() on saving new name for new
registration with new genus

02/05/2019 01:21 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

This happened while entering the registration data for http://phycobank.org/100474 from scratch

Heidari, F., Zima, J., Riahi, H. & al., New simple trichal cyanobacterial taxa isolated from radioactive thermal springs in Fottea 18(2):
137-149. 2018

Nodosilinea radiophila Heidari & Hauer Type: Iran, Talesh Mahalleh, Ramsar., alt. 20 m, 36°52'58.8"N, 50°40'58.8"E. Holotype,
(CBFS A—-83—1). http://phycobank.org/100474 Registration on 2018-11-27 11:27:52

1. create citation

2. registration for new name

3. add genus for new name "Nodosilinea Perkerson & Casamatta, 2011" with nom ref = Perkerson, Ill, R.B.; Johansen, J.R.;
Kovécik, L.; Brand, J.; Kastovsky, J.; Casamatta, D.A. (2011). A unique pseudanabaenalean (cyanobacteria) genus Nodosilinea
gen. nov. based on morphological and molecular data. Journal of Phycology, 47(6): 1397-1412.

4. enter specific epithet, nom ref and ref detail for Nodosilinea radiophila and save ==> Error

eu.etaxonomy.vaadin.mvp.PopupEditorException: Error saving popup editor - context [user=admin] :E
dit registration (TypedEntityReference: Registration#null) > New taxon name (TaxonNameDTO: TaxonNa
me#0<0158be2b-d8c5-42a5-a8ae—-47c7b814169%9e>)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:448)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambdas$0 (AbstractPopupEditor. java:174)

at sun.reflect.GeneratedMethodAccessorll0.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button. java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)

at sun.reflect.GeneratedMethodAccessorl09.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40
2)

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan
dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService.java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:841)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)
at org.springframework.
curityInterceptor.java:126)
at org.springframework.

security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe

security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter

SecurityInterceptor. java:90)

at org.springframework.
oxy.Jjava:330)

at org.springframework.
ationFilter.java:114)

at org.springframework.
oxy.java:330)

at org.springframework.
Filter.java:122)

at org.springframework.
oxy.Jjava:330)

at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.session.SessionManagementFilter.doFilter (SessionManagement

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon

ymousAuthenticationFilter.java:111)

at org.springframework.
oxy.java:330)
at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte

r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.
oxy.Jjava:330)

at org.springframework.
AwareFilter. java:48)

at org.springframework.
oxy.java:330)

at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.www.BasicAuthenticationFilter.doFilterInter

nal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.oauth2.provider.authentication.OAuth2AuthenticationProcessingF
ilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21
3)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1621)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

lter.java:121)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1613)
at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:541)
at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:548)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler.java:190)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1584)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:188)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1228)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:168)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:481)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:1553)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:166)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1130)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.Server.handle (Server. java:564)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:320)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:251)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:112)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

at org.eclipse.jetty.util.thread.Invocable.invokePreferred (Invocable. java:122)

at org.eclipse.jetty.util.thread.strategy.ExecutingExecutionStrategy.invoke (ExecutingExecution
Strategy.java:58)

at org.eclipse.jetty.util.thread.strategy.ExecuteProduceConsume.produceConsume (ExecuteProduceC
onsume. java:201)

at org.eclipse.jetty.util.thread.strategy.ExecuteProduceConsume.run (ExecuteProduceConsume. java
:133)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool.java:672)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

at java.lang.Thread.run (Thread. java:748)
Caused by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed

at com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:509)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:428)

... 90 more
Caused by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java
:374)

at com.vaadin.data.fieldgroup.FieldGroup.firePostCommitEvent (FieldGroup. java:625)

at com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:501)

... 91 more
Caused by: org.hibernate.AssertionFailure: Unable to perform beforeTransactionCompletion callback

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransact
ionCompletion (ActionQueue. java:905)

at org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion (ActionQueue. java:481)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl.java:2340)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourceLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at eu.etaxonomy.cdm.api.application.CdmRepository.commitTransaction (CdmRepository.java:468)

at eu.etaxonomy.cdm.service.CdmStore.commitTransaction (CdmStore. java:245)

at eu.etaxonomy.cdm.service.CdmStore.saveBean (CdmStore.java:167)

at eu.etaxonomy.vaadin.mvp.CdmEditorPresenterBase.onEditorSaveEvent (CdmEditorPresenterBase. jav
a:231)

at sun.reflect.GeneratedMethodAccessorl59.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:
78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:109)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java
:366)

. 93 more
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.AbstractHibernateTaxonGraphProcessor.
assureSingleTaxon (AbstractHibernateTaxonGraphProcessor. java:222)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.AbstractHibernateTaxonGraphProcessor.
assureSingleTaxon (AbstractHibernateTaxonGraphProcessor. java:209)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.AbstractHibernateTaxonGraphProcessor.
updateEdges (AbstractHibernateTaxonGraphProcessor. java:129)

at eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphBeforeTransactionCompleteProcess.onNameOr
RankChange (TaxonGraphBeforeTransactionCompleteProcess. java:175)

at eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphBeforeTransactionCompleteProcess.onNewTax
onName (TaxonGraphBeforeTransactionCompleteProcess. java:163)

at eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphBeforeTransactionCompleteProcess.doBefore
TransactionCompletion (TaxonGraphBeforeTransactionCompleteProcess. java:90)

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransact
ionCompletion (ActionQueue. java:899)

115 more

Related issues:
Related to EDIT - feature request #7648: Create taxonrelation to genus or spe... Resolved

Associated revisions

Revision a53c0e28 - 02/05/2019 01:38 PM - Andreas Kohlbecker

fix #8064 fixing NPE in AbstractHibernateTaxonGraphProcessor.assureSingleTaxon() - taxa may be missing a sec ref

Revision f08b6366 - 02/05/2019 03:02 PM - Andreas Kohlbecker

ref #8064 ref #7648 autocreation of missing default secRef value in cdm preference model.taxonGraph.secRefUuid/

History

#1 - 02/05/2019 01:35 PM - Andreas Kohlbecker

- Related to feature request #7648: Create taxonrelation to genus or species when subordinate names are created added

#2 - 02/05/2019 01:38 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlibla53c0e28c0e0611abf2837042f1a933c7fdba50.

#3 - 02/05/2019 03:02 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
